The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

[checkperlmodules] The perl module Net::DAV::Server could not be installed

Discussion in 'General Discussion' started by dinfiesta, Aug 16, 2007.

  1. dinfiesta

    dinfiesta Well-Known Member

    Joined:
    May 2, 2005
    Messages:
    58
    Likes Received:
    0
    Trophy Points:
    6
    What is this?

    Every day I get this message via email.
    I´m running Cpanel 11 on 2.6.9-55.ELsmp #1 SMP Wed May 2 14:04:42 EDT 2007 x86_64 x86_64 x86_64 GNU/Linux

    I think it has something to do with the line:

    Warning: XML::LibXML compiled against libxml2 20623, but runtime libxml2 is older 20622

    Any ideas?

    Thanks!


    PHP:
    This module is required by cPanel, and the system may not function correctly until it is installed, and functional.  Below is the results of the auto-install attempt:

    Test Run
    ==============
    Net::DAV::Server is installed.


    Installer Run
    ==============
    Fetching CPAN timestamp...Done
    Testing connection speed
    ...(this could take a while)...Done
    Ping
    :160.701 Testing connection speed to cpan.hoxt.com using pureperl...(20873.33 bytes/s)...Done
    Ping
    :140.772 Testing connection speed to mirrors.phenominet.com using pureperl...(19568.75 bytes/s)...Done
    Three usable mirrors located
    Mirror Check passed 
    for cpan.hoxt.com (/index.html)
    Unknown config variable 'less'
    commitwrote '/usr/lib/perl5/5.8.7/CPAN/Config.pm'
    CPANFile::HomeDir loaded ok (v0.65)
    CPANStorable loaded ok (v2.16)
    Going to read /home/.cpan/Metadata
      Database was generated on Thu
    16 Aug 2007 02:36:55 GMT
    Running install 
    for module 'Net::DAV::Server'
    Running make for B/BR/BRONG/Net-DAV-Server-1.29.tar.gz
    CPAN
    Digest::SHA loaded ok (v5.45)
    CPANCompress::Zlib loaded ok (v2.001)
    Checksum for /home/.cpan/sources/authors/id/B/BR/BRONG/Net-DAV-Server-1.29.tar.gz ok
    Net
    -DAV-Server-1.29/
    Net-DAV-Server-1.29/CHANGES
    Net
    -DAV-Server-1.29/META.yml
    Net
    -DAV-Server-1.29/litmus_test/
    Net-DAV-Server-1.29/litmus_test/litmus.out
    Net
    -DAV-Server-1.29/litmus_test/litmus.pl
    Net
    -DAV-Server-1.29/lib/
    Net-DAV-Server-1.29/lib/Net/
    Net-DAV-Server-1.29/lib/Net/DAV/
    Net-DAV-Server-1.29/lib/Net/DAV/Server.pm
    Net
    -DAV-Server-1.29/MANIFEST
    Net
    -DAV-Server-1.29/TODO
    Net
    -DAV-Server-1.29/t/
    Net-DAV-Server-1.29/t/pod.t
    Net
    -DAV-Server-1.29/Build.PL
    Net
    -DAV-Server-1.29/Makefile.PL
    Net
    -DAV-Server-1.29/README
    CPAN
    File::Temp loaded ok (v0.18)
    CPANModule::Build loaded ok (v0.2808)


      
    CPAN.pmGoing to build B/BR/BRONG/Net-DAV-Server-1.29.tar.gz


    perl
    -64bit-hackenabled
    Checking 
    if your kit is complete...
    Looks good
    Warning
    XML::LibXML compiled against libxml2 20623but runtime libxml2 is older 20622
    'EXTRALIBDIR' is not a known MakeMaker parameter name.
    'OTHERLDFLAGS' is not a known MakeMaker parameter name.
    Writing Makefile for Net::DAV::Server
    CPAN
    YAML loaded ok (v0.65)
    cp lib/Net/DAV/Server.pm blib/lib/Net/DAV/Server.pm
    Manifying blib
    /man3/Net::DAV::Server.3
      BRONG
    /Net-DAV-Server-1.29.tar.gz
      
    /usr/bin/make OTHERLDFLAGS=-L/usr/lib64 LDFLAGS=-L/usr/lib64 EXTRALIBDIR=/usr/lib64 OTHERLDFLAGS=-L/usr/lib64 LDFLAGS=-L/usr/lib64 EXTRALIBDIR=/usr/lib64 -- OK
    Running make install
    Manifying blib
    /man3/Net::DAV::Server.3
    Writing 
    /usr/lib/perl5/site_perl/5.8.7/x86_64-linux/auto/Net/DAV/Server/.packlist
    Appending installation info to 
    /usr/lib/perl5/5.8.7/x86_64-linux/perllocal.pod
      BRONG
    /Net-DAV-Server-1.29.tar.gz
      
    /usr/bin/make install UNINST=1 OTHERLDFLAGS=-L/usr/lib64 LDFLAGS=-L/usr/lib64 EXTRALIBDIR=/usr/lib64 -- OK
    perlmod
    --Install done

     
  2. cPanelKyle

    cPanelKyle Technicial Analyst III/Migrations Specialist
    Staff Member

    Joined:
    Feb 10, 2003
    Messages:
    58
    Likes Received:
    0
    Trophy Points:
    6
    cPanel Access Level:
    Root Administrator
    Twitter:
  3. aspen0

    aspen0 Member

    Joined:
    Dec 6, 2004
    Messages:
    18
    Likes Received:
    0
    Trophy Points:
    1
    I get that same problem and when trying the autofixer script it says "This autofixer is for 64bit systems only"
     
  4. dinfiesta

    dinfiesta Well-Known Member

    Joined:
    May 2, 2005
    Messages:
    58
    Likes Received:
    0
    Trophy Points:
    6

    Yes!!!! i worked.... thanks Kyle you rock!

    PHP:
      JMEHNLE/mail-spf/Mail-SPF-v2.005.tar.gz
      
    /usr/bin/make install UNINST=1 OTHERLDFLAGS=-L/usr/lib64 LDFLAGS=-L/usr/lib64 EXTRALIBDIR=/usr/lib64 -- OK
    Mail
    ::SPF::Query is up to date (1.999.1).
    Mail::DKIM is up to date (0.28).
    IP::Country is up to date (2.23).
    Graph::Easy is up to date (0.59).
    Graph::Flowchart is up to date (0.10).
    cPCPANModule (Mail::SpamAssassinholdback (3.002003 held back to 3.2.3)
    Mail::SpamAssassin is up to date (3.002003).
    XML::LibXML::Common is up to date (0.13).
    XML::LibXML is up to date (1.64).
    Net::DAV::Server is up to date (1.29).
    Net::Daemon::SSL is up to date (1.0).
    Net::LDAP::Schema is up to date (0.9905).
    Net::LDAP::Server is up to date (0.3).
    GD::Graph is up to date (1.44).
    Parse::RecDescent is up to date (1.94).
    Quota is up to date (1.5.1).
    SVG::TT::Graph is up to date (0.09).
    Safe::Hole is up to date (0.10).
    Spreadsheet::ParseExcel is up to date (0.32).
    Spreadsheet::WriteExcel is up to date (2.18).
    String::CRC32 is up to date (1.4).
    SQL::Statement is up to date (1.15).
    Tie::IxHash is up to date (1.21).
    Tie::ShadowHash is up to date (0.07).
    Tie::Watch is up to date (1.2).
    URI::URL is up to date (5.03).
    perlmod--Install done
    Tested 96
    96 ok0 failed.
     
  5. Sunriser

    Sunriser Member

    Joined:
    Sep 9, 2007
    Messages:
    11
    Likes Received:
    0
    Trophy Points:
    1
    Unfortunaly, I get this message also EVERY DAY... and not only this one... 50 other Emails that says [checkpermodules] etc...

    My server seems to run ok, websites works fine too.. but for example on CPANEL, when i go into the Accounts Cpanel... most Buttons are screwed up.. says "Missing Language_key" and so on...


    Anyone has a idea what to do? I´m not good in ssh and all those things..maybe there is another way?

    Also all my RPM Software Installers in the WHM are gone.... i think, someone screwed it.. He was installing some stuff for me long time ago and just disappeared...
     
  6. dinfiesta

    dinfiesta Well-Known Member

    Joined:
    May 2, 2005
    Messages:
    58
    Likes Received:
    0
    Trophy Points:
    6

    Is your kernel x64?
     
  7. Sunriser

    Sunriser Member

    Joined:
    Sep 9, 2007
    Messages:
    11
    Likes Received:
    0
    Trophy Points:
    1
    Where do i see that, if my server runs on kernel x64?

    Sorry,but i´m new on those things...



    My Server runs on this:

    WHM 11.2.0 cPanel 11.11.0-S16999
    FEDORA 2 i686 - WHM X v3.1.0
     
  8. madaboutlinux

    madaboutlinux Well-Known Member

    Joined:
    Jan 24, 2005
    Messages:
    1,052
    Likes Received:
    2
    Trophy Points:
    38
    Location:
    Earth
    Paste the output of

    uname -p
     
  9. Dakt

    Dakt Member

    Joined:
    Dec 21, 2004
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    1
    I have the same problem and am on a 32-bit system so the above script won't run.

    Any ideas for people on 32-bit systems?

    Thanks!
     
  10. Dakt

    Dakt Member

    Joined:
    Dec 21, 2004
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    1
    Or can anyone please tell me if ignoring the error message will cause a problem?

    Thanks in advance.
     
Loading...

Share This Page